#line 1 "C:/Users/Nart Schinackow/Desktop/MikrommbTest/Source_Code/mikroC PRO for PIC/Source_main.c"
#line 1 "c:/users/nart schinackow/desktop/mikrommbtest/source_code/mikroc pro for pic/source_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef const code struct CScreen TCScreen;
typedef struct MyScreen TMyScreen;

typedef const struct CLabel {
 unsigned int OwnerScreenID;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCLabel;

typedef struct Image {
 unsigned int OwnerScreenID;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

typedef const struct CBox {
 unsigned int OwnerScreenID;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCBox;

typedef struct ProgressBar {
 unsigned int OwnerScreenID;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 unsigned int Background_Color;
 unsigned int Min;
 unsigned int Max;
 unsigned int Position;
 char Show_Position;
 char Show_Percentage;
 char Smooth;
 char Rounded;
 char Corner_Radius;
} TProgressBar;

 struct CScreen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned int CLabelsCount;
 TCLabel * const code *CLabels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 unsigned int CBoxesCount;
 TCBox * const code *CBoxes;
 unsigned int ProgressBarsCount;
 TProgressBar * const code *ProgressBars;
};

struct MyScreen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned int CLabelsCount;
 TCLabel * const code *CLabels;
 unsigned int ImagesCount;
 TImage * const code *Images;
 unsigned int CBoxesCount;
 TCBox * const code *CBoxes;
 unsigned int ProgressBarsCount;
 TProgressBar * const code *ProgressBars;
};

extern const MainScreenScreenID;
extern const ControlsScreenScreenID;

extern TCScreen * const code CScreens[2];
extern TCScreen MainScreen;
extern TCBox Box1;
extern TProgressBar MainPageProgress;
extern TCLabel LoadingLabel;
extern TCLabel * const code Screen1_CLabels[1];
extern TCBox * const code Screen1_CBoxes[1];
extern TProgressBar * const code Screen1_ProgressBars[1];


extern TCScreen ControlsScreen;
extern TCBox Box2;
extern TImage Led1;
extern TImage Led4;
extern TImage Switch3;
extern TImage Switch2;
extern TImage Led3;
extern TImage Switch1;
extern TImage Switch4;
extern TImage Led2;
extern TProgressBar ProgressBar1;
extern TImage * const code Screen2_Images[8];
extern TCBox * const code Screen2_CBoxes[1];
extern TProgressBar * const code Screen2_ProgressBars[1];


extern TMyScreen CurrentMyScreen;



void Led1OnClick();
void Led2OnClick();
void Led3OnClick();
void Led4OnClick();
void Switch1OnClick();
void Switch2OnClick();
void Switch3OnClick();
void Switch4OnClick();




extern const char Box1_Caption[];
extern char MainPageProgress_Caption[];
extern const char LoadingLabel_Caption[];
extern const char Box2_Caption[];
extern char Led1_Caption[];
extern char Led4_Caption[];
extern char Switch3_Caption[];
extern char Switch2_Caption[];
extern char Led3_Caption[];
extern char Switch1_Caption[];
extern char Switch4_Caption[];
extern char Led2_Caption[];
extern char ProgressBar1_Caption[];


void DrawScreen(unsigned int aScreenID);
void DrawCLabel(TCLabel *AClabel);
void DrawImage(TImage *AImage);
void DrawCBox(TCBox *ACbox);
void DrawProgressBar(TProgressBar *AProgressBar);
void UpdatePBPosition(TProgressBar *AProgressBar);
void Check_TP();
void Start_TP();
#line 5 "C:/Users/Nart Schinackow/Desktop/MikrommbTest/Source_Code/mikroC PRO for PIC/Source_main.c"
void Perform_Loading();

void main() {

 Start_TP();
 Perform_Loading();
 DrawScreen(32769);
 while (1) {
 Check_TP();


 }

}
